Source-Changes-HG archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

[src/trunk]: src/regress/sys/fs/tmpfs Fix test after the changes to skip 0 an...



details:   https://anonhg.NetBSD.org/src/rev/74eb55870160
branches:  trunk
changeset: 584537:74eb55870160
user:      jmmv <jmmv%NetBSD.org@localhost>
date:      Fri Sep 23 14:11:15 2005 +0000

description:
Fix test after the changes to skip 0 and 1 node identifiers.

diffstat:

 regress/sys/fs/tmpfs/t_id_gen |  10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

diffs (36 lines):

diff -r a11426173a16 -r 74eb55870160 regress/sys/fs/tmpfs/t_id_gen
--- a/regress/sys/fs/tmpfs/t_id_gen     Fri Sep 23 13:59:16 2005 +0000
+++ b/regress/sys/fs/tmpfs/t_id_gen     Fri Sep 23 14:11:15 2005 +0000
@@ -1,6 +1,6 @@
 #!/bin/sh
 #
-# $NetBSD: t_id_gen,v 1.1 2005/09/10 19:20:51 jmmv Exp $
+# $NetBSD: t_id_gen,v 1.2 2005/09/23 14:11:15 jmmv Exp $
 #
 # Copyright (c) 2005 The NetBSD Foundation, Inc.
 # All rights reserved.
@@ -47,20 +47,20 @@
 
        test_name "Creation of directory"
        mkdir a || die
-       test_name "Node ID should be 1"
+       test_name "Node ID should be 3"
        eval $(stat -s a | sed -e 's|st_|ost_|g') || die
        ofhsum=$(${Src_Dir}/h_tools getfh a | md5) || die
-       [ ${ost_ino} -eq 1 ] || die
+       [ ${ost_ino} -eq 3 ] || die
 
        test_name "Deletion of directory"
        rmdir a || die
 
        test_name "Creation of directory (reuse node)"
        mkdir b || die
-       test_name "Node ID should be 1"
+       test_name "Node ID should be 3"
        eval $(stat -s b) || die
        fhsum=$(${Src_Dir}/h_tools getfh b | md5) || die
-       [ ${st_ino} -eq 1 ] || die
+       [ ${st_ino} -eq 3 ] || die
        test_name "File handle is different (thanks to generation)"
        [ ${ofhsum} != ${fhsum} ] || die
 



Home | Main Index | Thread Index | Old Index